- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
libetonyek::KEY2Token Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0, FIRST_TOKEN = IWORKTokenInfo<KEY2Parser>::first, key, authors, body_placeholder, c, comment, headlineParagraphStyle, keywords, master_slide, master_slides, metadata, notes, page, presentation, size, slide, slide_list, slide_style, sticky_note, sticky_notes, string, style_ref, stylesheet, text, theme, theme_list, title, title_placeholder, version, COMPATIBLE_VERSION_STR_3, VERSION_STR_2, VERSION_STR_3, VERSION_STR_4, VERSION_STR_5, i, LAST_TOKEN }
enum | Namespace { NS_URI_KEY = key << 16 }

## Functions
const IWORKTokenizer & | getTokenizer ()
| BOOST_STATIC_ASSERT (IWORKTokenInfo< KEY2Parser >::last >=LAST_TOKEN)

## Enumeration Type Documentation

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
key |
authors |
body_placeholder |
c |
comment |
headlineParagraphStyle |
keywords |
master_slide |
master_slides |
metadata |
notes |
page |
presentation |
size |
slide |
slide_list |
slide_style |
sticky_note |
sticky_notes |
string |
style_ref |
stylesheet |
text |
theme |
theme_list |
title |
title_placeholder |
version |
COMPATIBLE_VERSION_STR_3 |
VERSION_STR_2 |
VERSION_STR_3 |
VERSION_STR_4 |
VERSION_STR_5 |
i |
LAST_TOKEN |

enum libetonyek::KEY2Token::Namespace

Enumerator
NS_URI_KEY |

## Function Documentation

libetonyek::KEY2Token::BOOST_STATIC_ASSERT | ( | IWORKTokenInfo< KEY2Parser >::last >= | LAST_TOKEN | ) |

const IWORKTokenizer & libetonyek::KEY2Token::getTokenizer | ( |  | ) |

Referenced by libetonyek::KEY2Parser::getTokenizer().